Imports System
Imports System.ComponentModel
Imports System.Collections.Generic
Imports System.Diagnostics
Imports System.Text

Imports DevExpress.ExpressApp
Imports DevExpress.ExpressApp.Actions
Imports DevExpress.Persistent.Base

Public Class MobileListDashboardsVC
    Inherits Nuvolar.Module.MobileListDashboardsVC

	Public Sub New()
		MyBase.New()

		'This call is required by the Component Designer.
		InitializeComponent()
		RegisterActions(components) 

	End Sub

    Private Sub aViewDashboardBase_Execute(sender As Object, e As SimpleActionExecuteEventArgs) Handles aViewDashboardBase.Execute
        Dim _onew As Xpo.XPObjectSpace = Application.CreateObjectSpace
        Dim _MobileListDashboards As MobileListDashboards = TryCast(View.SelectedObjects(0), MobileListDashboards)

        If _MobileListDashboards IsNot Nothing Then
            If _MobileListDashboards.BusinessDirectory IsNot Nothing Then
                Dim _BusinessDirectory As BusinessDirectory = _MobileListDashboards.BusinessDirectory
                Dim _Dashboard As New Dashboard(_onew.Session)
                With _Dashboard
                    .DashboardViewMode = DashboardViewMode.Viewer
                    .UserName = _BusinessDirectory.DashBoard_UserName
                    .Password = _BusinessDirectory.DashBoard_Password
                    .SQLServer = _BusinessDirectory.DashBoard_Server
                    .Database = _BusinessDirectory.DashBoard_Database
                    .XMLFileData = _onew.GetObject(_BusinessDirectory.FileData)
                    .SQLType = _BusinessDirectory.SQLType
                End With
                e.ShowViewParameters.CreatedView = Application.CreateDetailView(_onew, "Dashboard_DetailView_Viewer", True, _Dashboard)
            End If
        End If
    End Sub
End Class
